Bug 183143 - Pango printing for firefox (for CTL languages such as Indic)
Pango printing for firefox (for CTL languages such as Indic)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
: i18n
Depends On: firefoxprinting
Blocks: Indic FC6Update
  Show dependency treegraph
 
Reported: 2006-02-26 18:20 EST by Lawrence Lim
Modified: 2014-03-25 20:53 EDT (History)
9 users (show)

See Also:
Fixed In Version: 1.5.0.7-8.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-01 14:52:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2006-02-26 18:20:07 EST
+++ This bug was initially created as a clone of Bug #129207 +++
Cloning a new bug for FC.

Description of problem:
Cannot print indic language pages from mozilla. We understand that
work is being done on this, this bug is for tracking this until final
release.

Version-Release number of selected component (if applicable):
1.7-0.3.2

How reproducible:
Allways

Steps to Reproduce:
1. Start mozilla
2. Open http://bbc.co.uk/hindi
3. Print the page
  
Actual results:
The text is printed as squares. 

Expected results:
Text should be printed correctly, with composite characters and ligatures.

Additional info:
Same bugs in mail, addressbook.

-- Additional comment from jnansi@redhat.com on 2004-08-11 22:15 EST --
To test, you may use the Gargi.ttf font available in this rpm: 
http://bob.brisbane.redhat.com/~jnansi/pkgs/ttfonts-hi-1-1.noarch.rpm

-- Additional comment from llim@redhat.com on 2004-12-09 03:20 EST --
Hi Chris,
Here are some test case you can use for your printing. Tried with
firefox-1.0-9.EL4. It is still not possible to print indic characters.

bn
http://i18n.brisbane.redhat.com/~llim/indic/browser/BrowserTest_Bengali.html
gu
http://i18n.brisbane.redhat.com/~llim/indic/browser/BrowserTest_Gujarati.html
hi
http://i18n.brisbane.redhat.com/~llim/indic/browser/BrowserTest_Hindi.html
pa
http://i18n.brisbane.redhat.com/~llim/indic/browser/BrowserTest_Punjabi.html
ta
http://i18n.brisbane.redhat.com/~llim/indic/browser/BrowserTest_Tamil.html
Comment 1 Leon Ho 2006-10-03 04:28:49 EDT
Fixing the summary and reassign to the existing engineer that works on it.
Comment 2 Jesse Keating 2006-10-03 16:54:43 EDT
Is this still an issue?  The bug blocking it is in modified state, is this
really a FC6 blocker?
Comment 4 Matthias Clasen 2006-11-01 14:52:48 EST
This has been included in firefox-1.5.0.7-8.fc6.

Note You need to log in before you can comment on or make changes to this bug.